Summary:	Evaluation of certain two-body molecular integrals over Cartesian Gaussian functions
Summary(pl.UTF-8):	Obliczanie całek dwuelementowych cząsteczek po kartezjańskich funkcjach Gaussa
Name:		libint
Version:	1.2.1
Release:	1
License:	GPL v3+
Group:		Libraries
#Source0Download: https://github.com/evaleev/libint/releases
Source0:	https://github.com/evaleev/libint/archive/release-1-2-1/%{name}-%{version}.tar.gz
# Source0-md5:	e34f4a677241bde114dc5282a802a067
Patch0:		%{name}-link.patch
URL:		http://libint.valeyev.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel >= 3.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libint library is used to evaluate the traditional (electron
repulsion) and certain novel two-body matrix elements (integrals) over
Cartesian Gaussian functions operative in modern atomic and molecular
theory. It is specifically designed with high efficiency on
(super)scalar computer architectures in mind. Libint has been utilized
to implement methods such as Hartree-Fock (HF) and Kohn-Sham density
functional theory (KS DFT), second-order Moller-Plesset perturbation
theory (MP2), coupled cluster singles and doubles (CCSD) method, as
well as the lesser known highly accurate linear R12 second-order
Moller-Plesset theory (MP2-R12).

%description -l pl.UTF-8
Biblioteka libint służy do obliczania tradycyjnych (odpychania
elektronowego) i pewnych nowych dwuelementowych elementów macierzy
(całek) po kartezjańskich funkcjach Gaussa występujących we
współczesnej teorii atomowej i cząsteczkowej. Jest zaprojektowana
zwłaszcza z myślą o (super)skalarnych architekturach komputerów.
libint jest wykorzystywana do implementowania metod takich jak:
metoda Hartree-Focka (HF) i teorii funkcjonałów gęstości Kohna-Shama
(KS DFT), teorii zaburzeń Mollera-Plesseta drugiego rzędu (MP2),
metody klasterowej z jedno- i dwuciałowymi operatorami (CCSD), a także
mniej znanej bardzo dokładnej teorii liniowej R12 Mollera-Plesseta
drugiego rzędu (MP2-R12).

%package devel
Summary:	Header files for libint library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libint
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 3.0

%description devel
Header files for libint library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libint.

%package static
Summary:	Static libint library
Summary(pl.UTF-8):	Statyczna biblioteka libint
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libint library.

%description static -l pl.UTF-8
Statyczna biblioteka libint.

%prep
%setup -q -n libint-release-1-2-1
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I lib/autoconf
%{__autoconf}
%configure \
	--enable-shared

sed -i -e 's/^CFLAGS =.*/CFLAGS = %{rpmcflags}/;s/^CXXFLAGS =.*/CXXFLAGS = %{rpmcxxflags}/' src/lib/MakeVars

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# help rpm to find deps
chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%attr(755,root,root) %{_libdir}/libderiv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libderiv.so.1
%attr(755,root,root) %{_libdir}/libint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libint.so.1
%attr(755,root,root) %{_libdir}/libr12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libr12.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libderiv.so
%attr(755,root,root) %{_libdir}/libint.so
%attr(755,root,root) %{_libdir}/libr12.so
%{_libdir}/libderiv.la
%{_libdir}/libint.la
%{_libdir}/libr12.la
%{_includedir}/libderiv
%{_includedir}/libint
%{_includedir}/libr12

%files static
%defattr(644,root,root,755)
%{_libdir}/libderiv.a
%{_libdir}/libint.a
%{_libdir}/libr12.a
%changelog
* Sun May 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libint.git;a=log;h=master

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 59be553
- updated to 1.2.1 (GPL v3 now, buildid dropped from sonames)

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 2eea58f
- new URLs, updated to 1.1.6 (last GPL v2 release)

* Fri May 26 2017 Jan Rękorajski <baggins@pld-linux.org> 626de6f
- release 2 (by relup.sh)

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> c3a9dcc
- typo

* Sun Oct 21 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 9a52910
- up to 1.1.4, change URL

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 857f70e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 894bcb4
- converted to UTF-8

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 3f9bffa
- new

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 8f2927d
- link libderiv and libr12 with libint

